Chuyển đến nội dung
Diễn đàn CADViet
Học AutoCAD Online cùng CADViet

huunhantvxdts

Thành viên
  • Số lượng nội dung

    409
  • Đã tham gia

  • Lần ghé thăm cuối

  • Ngày trúng

    14

Cộng đồng

70 (tàm tạm)

About huunhantvxdts

  1. (command "_change" oldEntity "" "p" "c" "1" "")
  2. Bạn xem cái này có hữu ích không??
  3. [HELP] NHỜ SỬA LISP CHÈN BLOCK THEO FILE DCL

    Làm cái hình thôi mà, không biết đưa hình vô thế nào, nên đưa cai block vào, hehehe
  4. [HELP] NHỜ SỬA LISP CHÈN BLOCK THEO FILE DCL

    Cám ơn bác nhiều
  5. [HELP] NHỜ SỬA LISP CHÈN BLOCK THEO FILE DCL

    Vô đó tìm rồi mà không ra mới khổ chứ
  6. [HELP] NHỜ SỬA LISP CHÈN BLOCK THEO FILE DCL

    Đang tìm hàm LM:BlockPreview trên mạng mà không có Bác quocmanh04tt có cho mình xin với
  7. Copy cot excell trước đã rồi đánh lệnh
  8. Gửi bạn xem đã ok chưa???? (defun C:layt (/ oldos s text ndtext) (command "undo" "be") (setq oldos (getvar "OSMODE")) (setvar "cmdecho" 0) (setvar "osmode" 512) (setq s (GetClipBoardText)) (setq ndtext nil) (while (vl-string-search "\n" s) (setq text (substr s 1 (vl-string-search "\n" s))) (setq ndtext (cons (substr text 1 (- (strlen text) 1)) ndtext)) (setq s (substr s (+ 2 (vl-string-search "\n" s)))) ) (setq ndtext (reverse ndtext)) (foreach lst ndtext (thaythe lst) ) (setvar "osmode" oldos) (setvar "cmdecho" 1) (command "undo" "end") (princ ) ) (defun thaythe(s / giatrimoi giatricu thongtin) (setq giatriold (entsel "\nGia tri can thay the")) (while (or (null giatriold) (/= "TEXT" (cdr (assoc 0 (entget (car giatriold))))) ) (princ "\nDoi tuong khong phai la text! Chon lai") (setq giatriold (entsel "\nGia tri can thay the")) ) (setq thongtin (entget (car giatriold))) (setq giatricu (assoc 1 thongtin)) (setq giatrimoi (cons 1 s)) (setq thongtin (subst giatrimoi giatricu thongtin)) (entmod thongtin) (command "_change" giatriold "" "p" "c" "1" "") ) (defun GetClipBoardText( / htmlfile result ) ; By Patrick_35 (setq htmlfile (vlax-create-object "htmlfile") result (vlax-invoke (vlax-get (vlax-get htmlfile 'ParentWindow ) 'ClipBoardData) 'GetData "Text" ) ) (vlax-release-object htmlfile) result )
  9. Hỏi về mã dxf 11 của Text

    (defun c:gfi() (setq ma (car (entsel))) (setq ma1 (entget ma)) (princ ma1) (princ) )
  10. Tìm trong thư rác hoặc gửi mail cho mình huunhantvxdts@gmail.com
  11. Đã gửi cho bạn xem thêm clip bản hoàn thiện hơn
  12. Cần hỗ trợ thêm tính năng cho Lisp

    ý là cái này chưa hiểu về các công đoạn mà chủ thớt làm
  13. Cần hỗ trợ thêm tính năng cho Lisp

    Chưa hiểu chủ thớt muốn làm cái gì??? 1 lần copy vào 1 sheet hay toàn bộ vào 1 sheets
×